Package writer2latex.util

# Class ExportNameCollection

java.lang.Object
writer2latex.util.ExportNameCollection

public class ExportNameCollection extends Object
Maintain a collection of export names. This is used to map named collections to simpler names (only A-Z, a-z and 0-9, and possibly additional characters)

## Constructor Summary

Constructors
Constructor
Description
`ExportNameCollection(boolean bAcceptNumbers)`
`ExportNameCollection(String sPrefix, boolean bAcceptNumbers)`
`ExportNameCollection(String sPrefix, boolean bAcceptNumbers, String sAdditionalChars)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addName(String sName)`
`boolean`
`containsName(String sName)`
`String`
`getExportName(String sName)`
`boolean`
`isEmpty()`
`Enumeration<String>`
`keys()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExportNameCollection

public ExportNameCollection(String sPrefix, boolean bAcceptNumbers, String sAdditionalChars)

### ExportNameCollection

public ExportNameCollection(String sPrefix, boolean bAcceptNumbers)

### ExportNameCollection

public ExportNameCollection(boolean bAcceptNumbers)

## Method Details

### keys

public Enumeration<String> keys()

### addName

public void addName(String sName)

### getExportName

public String getExportName(String sName)

### containsName

public boolean containsName(String sName)

### isEmpty

public boolean isEmpty()